BizKitHub
DocsAPI ReferenceBranch/bff/branch/update-branch-person
postBranchAdmin BFF

/bff/branch/update-branch-person

Updates the role / custom label / position on an existing branch_person row. Verifies the row belongs to the caller’s organisation.

BranchpostBffBranchUpdate-branch-person

Parameters

JSON body

Request body

application/json
personIdstringRequired

Internal id of the branch_person row (from the detail response).

rolestringOptional

New role; one of: branch_contact, owner, manager, custodian, cleaner, technician, accountant, security, support, other.

customLabelstring | nullOptional
One of 2:
Variant 1
string

New free-text label; null to clear.

Length: 0200
Variant 2
null
positionnumberOptional

New sort position.

Response schema

1 status code documented

200Success
successbooleanRequired

Response example

application/json
{
  "success": false
}

Request example

POST /bff/branch/update-branch-person

post
curl -X POST "https://api.bizkithub.com/bff/branch/update-branch-person" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "personId": "example_personId",
  "role": "example_role",
  "position": 0
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key